APT-MARK(8)

Agosto de 2009

NAME
apt-mark - Marca o desmarca un paquete como instalado automáticamente

SYNOPSIS

apt-mark [-hv] [-f=nombre-de-fichero] {markauto | unmarkauto} paquete... | showauto

DESCRIPCIóN

apt-mark conmuta si un paquete se instaló automáticamente o no.

Cuando solicita la instalación de un paquete y como resultado de ello se instalan otros paquetes para satisfacer sus dependencias, éstos se marcarán como instalados automáticamente. Una vez que estos paquetes instalados automáticamente ya no son necesarios para ningún paquete instalado manualmente, apt-get o aptitude los eliminará.

markauto
    markauto se usa para marcar un paquete como instalado automáticamente, lo que provocará que el paquete se elimine cuando ningún paquete instalado manualmente dependa de este paquete.

unmarkauto
    unmarkauto se usa para marcar un paquete como instalado manualmente, lo que impedirá la eliminación automática de este paquete si ningún otro depende de él.

showauto
    showauto se usa para mostrar una lista de paquetes instalados automáticamente, un paquete por línea.

OPCIONES

-f=NOMBRE-DE-FICHERO, --file=nombre-de-fichero
    Escribe y lee las estadísticas de los paquetes desde nombre-de-fichero en lugar de la ubicación predeterminada, que es extended_status en el directorio definido en la opción de configuración: Dir::State.

-h, --help
    Muestra un breve resumen de uso.

-v, --version
    Muestra la versión del programa.

FICHEROS

/var/lib/apt/extended_states
    Lista de estado de paquetes automáticamente instalados. Elemento de configuración: Dir::State::extended_states.

VéASE TAMBIéN

apt-get(8),aptitude(8),apt.conf(5)

DIAGNóSTICOS

apt-mark devuelve cero si no hay ningún error, y el valor 100 en caso de error.

BUGS

Página de errores de APT[1]. Si quiere informar de un error en APT, consulte /usr/share/doc/debian/bug-reporting.txt o use la orden reportbug(1).

TRADUCCIÓN

La traducción al español la realizaron Ismael Fanlo, Carlos Mestre, Rudy Godoy, Gustavo Saldumbide, Javier Fernández-Sanguino y Rubén Porras Campo entre los años 2003 y 2004. La traducción fue actualizada por Francisco Javier Cuadrado y Omar Campagne Polaino entre los años 2009 y 2010.

Tenga en cuenta que este documento puede contener secciones sin traducir. Esto es intencionado para evitar perder contenido cuando la traducción no está actualizada con respecto al documento original.

AUTHORS

Mike O'Connor

Equipo de APT

NOTES

1.  Página de errores de APT
    http://bugs.debian.org/src:apt